<?php
	class Fechas_Form {
		public $Fecha='';
		public $Fecha_form='';
		static $Mes_=array('Enero','Febrero','Marzo','Abril','Mayo','Junio','Julio','Agosto','Septiembre','Octubre','Noviembre','Diciembre');
		static $Mes_C=array('Ene','Feb','Mzo','Abr','May','Jun','Jul','Ags','Sep','Oct','Nov','Dic');
		function __construct($Fecha){
			$this->Fecha=$Fecha;
		}
		
		public function Fecha_DM(){
			$Fecha_ = new DateTime($this->Fecha);
			$this->Fecha_form=$Fecha_->format('d').'-'.self::$Mes_[intval($Fecha_->format('m')-1)];
			return($this->Fecha_form);
		}
		
		public function Fecha_DMA(){
			$Fecha_ = new DateTime($this->Fecha);
			$this->Fecha_form=$Fecha_->format('d').'-'.self::$Mes_[intval($Fecha_->format('m')-1)].'-'.$Fecha_->format('Y');
			return($this->Fecha_form);
		}
		
		public function Fecha_DMH(){
			$Fecha_ = new DateTime($this->Fecha);
			$this->Fecha_form=$Fecha_->format('d').'-'.self::$Mes_[intval($Fecha_->format('m')-1)].' | '.$Fecha_->format('H').':'.$Fecha_->format('i');
			return($this->Fecha_form);
		}
		public function Fecha_DMAH(){
			$Fecha_ = new DateTime($this->Fecha);
			$this->Fecha_form=$Fecha_->format('d').'-'.self::$Mes_[intval($Fecha_->format('m')-1)].'-'.$Fecha_->format('Y').' | '.$Fecha_->format('H').':'.$Fecha_->format('i');;
			return($this->Fecha_form);
		}
		
		public function Fecha_DMC(){
			$Fecha_ = new DateTime($this->Fecha);
			$this->Fecha_form=$Fecha_->format('d').'-'.self::$Mes_C[intval($Fecha_->format('m')-1)];
			return($this->Fecha_form);
		}
		
		public function Fecha_DMAC(){
			$Fecha_ = new DateTime($this->Fecha);
			$this->Fecha_form=$Fecha_->format('d').'-'.self::$Mes_C[intval($Fecha_->format('m')-1)].'-'.$Fecha_->format('Y');
			return($this->Fecha_form);
		}
		
		public function Fecha_DMHC(){
			$Fecha_ = new DateTime($this->Fecha);
			$this->Fecha_form=$Fecha_->format('d').'-'.self::$Mes_C[intval($Fecha_->format('m')-1)].' | '.$Fecha_->format('H').':'.$Fecha_->format('i');
			return($this->Fecha_form);
		}
		public function Fecha_DMAHC(){
			$Fecha_ = new DateTime($this->Fecha);
			$this->Fecha_form=$Fecha_->format('d').'-'.self::$Mes_C[intval($Fecha_->format('m')-1)].'-'.$Fecha_->format('Y').' | '.$Fecha_->format('H').':'.$Fecha_->format('i');;
			return($this->Fecha_form);
		}
		
		public function Fecha_DMAAC(){
			$Fecha_ = new DateTime($this->Fecha);
			$this->Fecha_form=$Fecha_->format('d').'-'.self::$Mes_C[intval($Fecha_->format('m')-1)].'-'.$Fecha_->format('y');
			return($this->Fecha_form);
		}
	}//End Class Fechas